import React from 'react';
import { Input, Menu, Dropdown, Button, Icon, message, Table, Divider, Tag, Pagination, Modal } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from '../style/GoodsList.less';

class StateDropdown extends React.Component {
  state = {
    goodState: '状态',
  }

  render() {

    const menu = (
      <Menu onClick={this.handleMenuClick}>
        <Menu.Item key="1">
          上架
        </Menu.Item>
        <Menu.Item key="2">
          下架
        </Menu.Item>
      </Menu>
    );
    return (
      < Dropdown overlay={menu} className={styles.searchItem} >
        <Button>
          {this.state.goodState} <Icon type="down" />
        </Button>
      </Dropdown>
    )
  }
  handleMenuClick = e => {
    this.setState({
      goodState: e.item.props.children,
    });

  }
};
class App extends React.Component {
  state = {
    good: '请选择',
  }

  render() {

    const menu = (
      <Menu onClick={this.handleMenuClick}>
        <Menu.Item key="1">
          上架2
        </Menu.Item>
        <Menu.Item key="2">
          下架2
        </Menu.Item>
      </Menu>
    );
    return (
      < Dropdown overlay={menu} className={styles.searchItem} >
        <Button>
          {this.state.good} <Icon type="down" />
        </Button>
      </Dropdown>
    )
  }
  handleMenuClick = e => {
    this.setState({
      good: e.item.props.children,
    });

  }
};
const dataSource = [
  {
    key: '1',
    img: 'http://img0.imgtn.bdimg.com/it/u=4246326797,2657995307&fm=26&gp=0.jpg',
    name: '华为P30 Pro',
  },
  {
    key: '2',
    img: '',
    name: '大米',
  },
];

const columns = [
  {
    title: '商品图片',
    dataIndex: 'img',
    key: 'img',
    align: 'center',
    render: (text, record) => <img src={record.img} className={styles.touxiang} />,
  },
  {
    title: '商品名称',
    dataIndex: 'name',
    key: 'name',
    align: 'center',

  },
  {
    title: '所属积分',
    dataIndex: 'integral',
    key: 'integral',
    align: 'center',
  },
  {
    title: '总数量',
    dataIndex: 'total',
    key: 'total',
    align: 'center',
  },
  {
    title: '已兑换数量',
    dataIndex: 'exchanged',
    key: 'exchanged',
    align: 'center',
  },
  {
    title: '剩余数量',
    dataIndex: 'rest',
    key: 'rest',
    align: 'center',
  },
  {
    title: '状态',
    dataIndex: 'state',
    key: 'state',
    align: 'center',
  },
  {
    title: '操作',
    dataIndex: 'handle',
    key: 'handle',
    align: 'center',
    render: () => <><span style={{ color: '#1990FF', marginRight: '20px' }} onClick={confirm}>下架<Icon type="shopping-cart" className={styles.shoppingCart} /></span><span style={{ color: '#FF925C' }}>编辑<Icon type="form" className={styles.edit} /></span></>,
  },
];
function confirm() {
  Modal.confirm({
    title: '确认下架该商品？',
    okText: '确认',
    cancelText: '取消',
    onOk() {
      console.log('OK');
    },
    onCancel() {
      console.log('Cancel');
    },
  });

}
export default () => (
  <>
    <div className={styles.searchBox}>
      <Input placeholder="商品名称" className={styles.searchItem} />
      <StateDropdown />
      <App />
      <Input placeholder="最小积分" className={styles.searchItem} />
      <Input placeholder="最大积分" className={styles.searchItem} />
      <Button type="primary" className={styles.searchBtn}>
        查询
      </Button>
    </div>
    <Button type="primary" className={styles.addBtn}>新增</Button>
    <Table dataSource={dataSource} columns={columns} />

  </>
);
